<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFrameworks>net6.0-android;net6.0-ios;net6.0-maccatalyst</TargetFrameworks>
		<TargetFrameworks Condition="$([MSBuild]::IsOSPlatform('windows'))">$(TargetFrameworks);net6.0-windows10.0.19041.0</TargetFrameworks>
		<!-- Uncomment to also build the tizen app. You will need to install tizen by following this: https://github.com/Samsung/Tizen.NET -->
		<!-- <TargetFrameworks>$(TargetFrameworks);net6.0-tizen</TargetFrameworks> -->
		<OutputType>Exe</OutputType>
		<RootNamespace>GMCabsDriverAssistantSolution</RootNamespace>
		<UseMaui>true</UseMaui>
		<SingleProject>true</SingleProject>
		<ImplicitUsings>enable</ImplicitUsings>

		<!-- Display name -->
		<ApplicationTitle>GMCabsDriverAssistantSolution</ApplicationTitle>

		<!-- App Identifier -->
		<ApplicationId>au.com.gmcabs.driverassistant</ApplicationId>
		<ApplicationIdGuid>6D8C0974-C903-452F-98F8-07E76D498921</ApplicationIdGuid>

		<!-- Versions -->
		<ApplicationDisplayVersion>1.0</ApplicationDisplayVersion>
		<ApplicationVersion>1</ApplicationVersion>

		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'ios'">14.2</SupportedOSPlatformVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'maccatalyst'">14.0</SupportedOSPlatformVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'android'">21.0</SupportedOSPlatformVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'windows'">10.0.17763.0</SupportedOSPlatformVersion>
		<TargetPlatformMinVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'windows'">10.0.17763.0</TargetPlatformMinVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'tizen'">6.5</SupportedOSPlatformVersion>
	</PropertyGroup>

	<ItemGroup>
		<!-- App Icon -->
		<MauiIcon Include="Resources\AppIcon\appicon.svg" ForegroundFile="Resources\AppIcon\appiconfg.svg" Color="#512BD4" />

		<!-- Splash Screen -->
		<MauiSplashScreen Include="Resources\Splash\splash.svg" Color="#512BD4" BaseSize="128,128" />

		<!-- Images -->
		<MauiImage Include="Resources\Images\*" />

		<!-- Custom Fonts -->
		<MauiFont Include="Resources\Fonts\*" />

		<!-- Raw Assets (also remove the "Resources\Raw" prefix) -->
		<MauiAsset Include="Resources\Raw\**" LogicalName="%(RecursiveDir)%(Filename)%(Extension)" />
	</ItemGroup>

	<ItemGroup>
	  <None Remove="Platforms\Android\google-services.json" />
	  <None Remove="Resources\Images\adminlock.png" />
	  <None Remove="Resources\Images\avail_button.png" />
	  <None Remove="Resources\Images\backSpace.png" />
	  <None Remove="Resources\Images\back_arrow.png" />
	  <None Remove="Resources\Images\barcode.png" />
	  <None Remove="Resources\Images\baseline_home_black_24dp.png" />
	  <None Remove="Resources\Images\busy_button.png" />
	  <None Remove="Resources\Images\card_cash.png" />
	  <None Remove="Resources\Images\clock.png" />
	  <None Remove="Resources\Images\cut_out_stars.png" />
	  <None Remove="Resources\Images\driver.png" />
	  <None Remove="Resources\Images\gmlogo.png" />
	  <None Remove="Resources\Images\gmlogo_tablet.png" />
	  <None Remove="Resources\Images\google_map.png" />
	  <None Remove="Resources\Images\green_pin.png" />
	  <None Remove="Resources\Images\grey_pin.png" />
	  <None Remove="Resources\Images\home.png" />
	  <None Remove="Resources\Images\icon_about.png" />
	  <None Remove="Resources\Images\icon_feed.png" />
	  <None Remove="Resources\Images\ic_menu_blank.png" />
	  <None Remove="Resources\Images\ic_menu_end_shift.png" />
	  <None Remove="Resources\Images\ic_menu_home.png" />
	  <None Remove="Resources\Images\ic_menu_licence_scan.png" />
	  <None Remove="Resources\Images\ic_menu_rydo.png" />
	  <None Remove="Resources\Images\ic_menu_settings.png" />
	  <None Remove="Resources\Images\ic_menu_voucher_scan.png" />
	  <None Remove="Resources\Images\ic_outline_document_scanner_black_24.png" />
	  <None Remove="Resources\Images\ic_stat_ic_notification.png" />
	  <None Remove="Resources\Images\ImportantIconSmall.png" />
	  <None Remove="Resources\Images\key_pad_image.png" />
	  <None Remove="Resources\Images\menu.png" />
	  <None Remove="Resources\Images\message.png" />
	  <None Remove="Resources\Images\next_arrow.png" />
	  <None Remove="Resources\Images\paid.png" />
	  <None Remove="Resources\Images\passenger.png" />
	  <None Remove="Resources\Images\phone_image.png" />
	  <None Remove="Resources\Images\red_pin.png" />
	  <None Remove="Resources\Images\rightdoc.png" />
	  <None Remove="Resources\Images\righttic.png" />
	  <None Remove="Resources\Images\scanned.png" />
	  <None Remove="Resources\Images\setting_alert.png" />
	  <None Remove="Resources\Images\support.png" />
	  <None Remove="Resources\Images\sync.png" />
	  <None Remove="Resources\Images\user.png" />
	  <None Remove="Resources\Images\waze.png" />
	  <None Remove="Resources\Images\wrongdoc.png" />
	  <None Remove="Resources\Images\xamarin_logo.png" />
	</ItemGroup>

	<ItemGroup>
	  <GoogleServicesJson Include="Platforms\Android\google-services.json" />
	</ItemGroup>

	<ItemGroup>
	  <PackageReference Include="CommunityToolkit.Maui" Version="1.4.0" />
	  <PackageReference Include="CommunityToolkit.Mvvm" Version="8.2.0-preview2" />
	  <PackageReference Include="Plugin.FirebasePushNotification" Version="3.4.35" />
	  <PackageReference Include="QRCoder" Version="1.4.3" />
	  <PackageReference Include="Sentry" Version="3.30.0" />
	  <PackageReference Include="sqlite-net-pcl" Version="1.8.116" />
	  <PackageReference Include="Xam.Plugin.SimpleAudioPlayer" Version="1.6.0" />
	</ItemGroup>

	<ItemGroup>
	  <MauiXaml Update="Styles\PhoneLayoutStyle.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\AcceptedFutureBookingsPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\AdminPasswordPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\AppPermissiontSetDialogPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\BatteryOptimisationAlertDialogPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\CouponHistoryPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\CouponsPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\CouponsV2Page.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\HomePage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\ImeiNumberInstallPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\InstallCompletePage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\LoginErrorAlertDialogPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\LoginPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\NewPage1.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\PrivacyPolicyDialogPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\ScanDrivingLicencePage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\ScanVoucherPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\SettingsPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\SplashPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\TaxiInstallPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\UserRegistrationGenerateOtpPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\UserRegistrationUpdateDriverPinPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\UserRegistrationVerifyOtpPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\UserSignUpPage.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	</ItemGroup>

	<ItemGroup Condition="'$(TargetFramework)' == 'net6.0-android'">
	  <PackageReference Include="Xamarin.Firebase.Messaging">
	    <Version>123.1.1.1</Version>
	  </PackageReference>
	  <PackageReference Include="Xamarin.Google.Dagger">
	    <Version>2.44.2.1</Version>
	  </PackageReference>
	</ItemGroup>

</Project>
